---
layout: markdown_page
title: Category maturity
---

Not all categories are at the same level of maturity, which spans from minimal
to usable to lovable. See below for where each category currently stands and
when they will reach higher maturity levels (today, May 2019 Summit in New Orleans, or end of 2019).

1. **Minimal**
  - At least a first iteration, but still a minimal solution.
  - Scaffolding or a foundation to build on so people internally and externally can see where we are going.
  - Validates our hypothesis for customer need by being used, but likely by a small share of instances or users.
1. **Viable**
  - Used by users/customers to solve real problems.
  - Capable of displacing other devops tools when part of our single-application
1. **Complete**
  - Contains a competitive feature set
  - Sufficient to act as a stand-alone replacement for other single-purpose devops tools
1. **Lovable**
  - Provides an elevated user experience that customers love.

<% milestones = [{:date => Date.today, :label => "Today"},
                {:date => Date.new(2018,12,31), :label => "2018"},
                {:date => Date.new(2019,05,30), :label => "Summit"},
                {:date => Date.new(2019,12,31), :label => "2019"}] %>
<% data.stages.stages.select{|stageKey,stage| stage.dept!="enablement"}.each do |stageKey, stage| %>
<%= "| **#{stage.display_name}<a name=\"#{stageKey}\"></a>** | | | |" %>
| *Category* | *Minimal* | *Viable* | *Complete* | *Lovable* |
  <% data.categories.each do |categoryKey, category| %>
    <% next unless (category.stage == stageKey) %>
    <% kbdElement = minimal = viable = complete = lovable = "" %>
    <% if category.available && (category.available.year == Date.today.year) %>
      <% kbdElement = ((category.available <= Date.today) ? "<kbd>New in #{category.available.year}</kbd>" : "<kbd>Planned #{category.available.year}</kbd>") %>
    <% elsif category.available && (category.available.year > Date.today.year) %>
      <% kbdElement = "<kbd>Planned #{category.available.year}</kbd>" %>
    <% end %>
    <% categoryName = category.alt_link ? "[#{category.name}](#{category.alt_link})" :
      category.body ? "[#{category.name}](/product/#{categoryKey.dup.tr('_', '-')})" :
      category.name %>
    <% if category.lovable %>
      <% lovable = milestones.find do |milestone| %>
        <% break milestone[:label] if category.lovable <= milestone[:date] %>
      <% end %>
    <% end %>
    <% if category.complete %>
      <% complete = milestones.find do |milestone| %>
        <% break milestone[:label] if category.complete <= milestone[:date] %>
      <% end %>
    <% end %>
    <% if category.viable %>
      <% viable = milestones.find do |milestone| %>
        <% break milestone[:label] if category.viable <= milestone[:date] %>
      <% end %>
    <% end %>
    <% if category.available %>
      <% minimal = milestones.find do |milestone| %>
        <% break milestone[:label] if category.available <= milestone[:date] %>
      <% end %>
    <% end %>
    <% minimal = "" if minimal == viable || minimal == complete || minimal == lovable %>
    <% viable = "" if viable == complete || viable == lovable %>
    <% complete = "" if complete == lovable %>
    <%= "| #{categoryName} #{kbdElement ? kbdElement : ''} | #{minimal} | #{viable} | #{complete} | #{lovable} |" %>
  <% end %>
<% end %>
